#!/bin/sh

# 환경변수 설정되었는지 검사
if [ -z $BASE_DIR ]; then
    echo "You must run \"source WOOK_ROOT/set_env.sh\"" 
    exit 
fi

# fakeroot 가 설치되어 있는지 검사함 
if [ -e /usr/bin/fakeroot ]; then
	echo	
else
	echo "You must install \"fakeroot\" package"
	exit
fi



echo "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"
echo "BUILD ROOTFS IMAGE"
echo "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"
echo "  ROOTFS IMAGE : $ROOTFS_IMAGE"
echo
echo "  Just moment..."

# version 정보를 etc/version 에 기입
DATE=`date +%m/%d/%y" "%T`
echo "NexG/octeon $TARGET_IMAGE -- $DATE" >$ROOTFS_DIR/etc/version

# 링크 생성
#CURRENT_DIR=`pwd`
#cd $ROOTFS_DIR
#rm -f $ROOTFS_DIR/init
#rm -f $ROOTFS_DIR/sbin/init
#ln -sf /usr/sbin/zinit $ROOTFS_DIR/sbin/init
#ln -s /sbin/init $ROOTFS_DIR/init
#chmod a-w $ROOTFS_DIR/usr/sbin/* 
#chmod a-w $ROOTFS_DIR/usr/bin/* 
#chmod a-w $ROOTFS_DIR/usr/lib/* 
cd $CURRENT_DIR

# fakeroot 로 cpio 파일을 만들기 위한 중간 파일 생성
rm -f ./fakeroot_cmd.sh

echo "chown -R 0:0 $ROOTFS_DIR" > ./fakeroot_cmd.sh
echo "cd $ROOTFS_DIR && find . | cpio --quiet -o -H newc > $ROOTFS_DIR/../rootfs.cpio" >> fakeroot_cmd.sh

chmod a+x fakeroot_cmd.sh

# rootfs 를 이미지로 빌드. 생성된 이미지는 나중에 커널과 합쳐지게 됩니다.
if [ -e ./fakeroot_cmd.sh ]; then
    fakeroot -- ./fakeroot_cmd.sh
	chmod 777 $ROOTFS_DIR/../rootfs.cpio
fi

# 중간 파일들 삭제
rm -f ./fakeroot_cmd.sh


echo "BUILD Done."
echo
