#!/bin/sh

if [ -z $BASE_DIR ]; then
    echo $BASE_DIR
    echo "You must run \"source WOOK_ROOT/set_env.sh\"" 
    exit 
fi

TARGET_DIR=../output

#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
FLAG1=



#@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
case "$1" in
    all)
		echo "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"
		echo "BUILD KERNEL"
		echo "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"
		echo
		if [ -e .config ]; then
			echo
		else
			echo "  Can't found .config."
			echo "  Below procedure will automatically run"
			echo "    step 1. copy \"default.config\" to \"config\""
			echo "    step 2. make oldconfig"
			echo "    strp 3. make"
			echo 
			echo "CMD : cp default.config .config"
			cp -f default.config .config
			echo "CMD : make oldconfig"
		fi
		echo "CMD : make"
		sleep 5
		echo "  Just moment..."
		echo
		echo "BUILD Done."
		echo
        ;;
	build_image)
		echo "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"
		echo "BUILD BOOT IMAGE"
		echo "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"
		
		if [ -e $ROOTFS_IMAGE ]; then

			if [ -z $TARGET_IMAGE ]; then
				TARGET_IMAGE=`make -C $BASE_DIR check_image_version --no-print-directory`
			fi

			echo "  ROOTFS IMAGE : $ROOTFS_IMAGE"
			echo "  TARGET IMAGE : $TARGET_IMAGE"
			echo
			echo "  Just moment..."

			echo "BUILD Done."
			echo
		else
			echo "  ROOTFS IMAGE : $ROOTFS_IMAGE"
			echo "  TARGET IMAGE : $TARGET_IMAGE is not exist."
			echo
			echo "  Please check ROOTFS file"
			sleep 3
		fi
		;;
    kernel_modules)
        ;;
    *)
        echo "Useage : ./allMake.sh all|build_image|kernel_modules"
		echo " all : build kernel"
		echo " build_image : build kernel + rootfs image"
		echo " kernel_modules : build kernel modules"
        ;;
esac

