#!/bin/bash

clear
make pre_pare

# info of PATH
SDK_PATH=/usr/local/Cavium_Networks/OCTEON-SDK-2.1/tools/bin:/usr/local/Cavium_Networks/OCTEON-SDK-2.1/host/bin
NEW_PATH=${SDK_PATH}:${PATH}
PATH=${NEW_PATH}
BASE_DIR=`pwd`

# info of ROOTFS
ROOTFS_DIR=${BASE_DIR}/image/rootfs
ROOTFS_IMAGE=${BASE_DIR}/image/rootfs.cpio

# info of kernel
KERNEL_DIR=${BASE_DIR}/platform/kernel

# info of compiler 
CROSS_COMPILE=mips64-octeon-linux-gnu-
CC=${CROSS_COMPILE}gcc 
AS=${CROSS_COMPILE}as
AR=${CROSS_COMPILE}ar
LD=${CROSS_COMPILE}ld
NM=${CROSS_COMPILE}nm
CPP=${CC}" -E"
LDR=${CROSS_COMPILE}ldr
STRIP=${CROSS_COMPILE}strip
RANLIB=${CROSS_COMPILE}ranlib
OBJCOPY=${CROSS_COMPILE}objcopy
OBJDUMP=${CROSS_COMPILE}objdump

# info for system
MULTI_CORE=7
ARCH=mips

export SDK_PATH PATH BASE_DIR
export ROOTFS_DIR ROOTFS_IMAGE
export KERNEL_DIR
export CROSS_COMPILE AS LD CPP AR NM LDR STRIP OBJCOPY OBJDUMP RANLIB
export MULTI_CORE ARCH 

echo "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"
echo "                          SUMMARY OF ENVIROMENT"
echo "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"
echo 
echo " - SDK PATH     : $SDK_PATH"
echo " - BASE_DIR     : $BASE_DIR"
echo " - ROOTFS_DIR   : $ROOTFS_DIR"
echo " - ROOTFS_IMAGE : $ROOTFS_IMAGE"
echo " - KERNEL_DIR   : $KERNEL_DIR"
echo 
echo " - ARCH        : $ARCH"
echo " - HOST CORE's : $MULTI_CORE"
echo " - TARGET_IMAGE: $TARGET_IMAGE"
echo 
echo " - CC      : $CC"
echo " - AS      : $AS"
echo " - AR      : $AR"
echo " - LD      : $LD"
echo " - NM      : $NM"
echo " - CPP     : $CPP"
echo " - LDR     : $LDR"
echo " - STRIP   : $STRIP"
echo " - RANLIB  : $RANLIB"
echo " - OBJCOPY : $OBJCOPY"
echo " - OBJDUMP : $OBJDUMP"
echo
echo
